Description

The current notification settings available to users are fairly limited, and this has become a problem for us.

For example, a typical scenario is that user's would like to receive emails about new issues, and also updates to issues they

watch/are associated with. But to updates to updates to other issues they do not care about.

Notifications about new issues are important so one is aware of them, and possibly add them to one's watch list. The second point is

important so as to not get drowned in issues updates for issues one is not involved with.

A simple solution to this would be to add a "Also send notifications for all new issues". A more generic approach would be to allow

the user to specify (possible independently for each project) for which events ("issue added", "issued edited", "issue edited that I

watch / am involved with", (and also for wiki add/edit, etc.). The UI for this could be inspired by the permission settings UI visible to

Admins. Thinking about it, perhaps the "Workflow" settings UI would be a closer match...

I actually looked into implementing the simple solution, but I found Redmine's notification system to be a bit "convoluted".

Implementing the fully flexible notification settings might require refactoring that code quite a bit.

Related issues:

Related to Redmine - Feature #6229: Control Email Notifications By Tracker (I... New 2010-08-26

History

#1 - 2013-03-25 17:43 - Aleksandar Varga

You have in Settings - Email notification, option to choose when the notification will be sent (e.g. Issue added, Issue updated). However, it's global

setting.

#2 - 2013-03-25 17:48 - Anonymous

I am fully aware of those settings, but they are indeed global, and also they don't solve the problem at hand. I can only disable all notifications for

"issue updated", but that's not what I want.

#3 - 2013-03-25 19:39 - Dipan Mehta

Apparently in #6229, I just proposed an idea

It does seems to be an interesting feature -however my guess is, the UI or config for this will be extremely complexity.

Following from what Martin, it is a good idea if we just save an issue queries and tick on a flag such as 'keep notifying updates'. Based on this,

there can be a background rake task which can send out periodic digest mails.

 This way we will not create too much noise and traffic and at the same time, provides us finest of granularity to control what we want to 'watch'

This probably can be useful for this feature as well.

#6229 is quite related; solutions might just have good overlap.

#4 - 2013-03-27 04:36 - Toshi MARUYAMA

- Category set to Email notifications
